# Create a list

{% openapi src="<https://global--openapi-specs--151603429280--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>" path="/workspaces/{workspaceId}/lists" method="post" %}
<https://global--openapi-specs--151603429280--use1.s3.us-east-1.amazonaws.com/joined-specs/openapi.yml>
{% endopenapi %}

## Examples

Let's establish some of our data that will be used in the following examples:

* **Workspace ID**: a1405560-c8d3-4b1a-877d-3f449ad95352
* **AccessKey:** abcd

### Create a list

In this example, we're creating a list.

{% tabs %}
{% tab title="Request" %}

```bash
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "name": "US Customers",
  "description": "US Customers", 
  "consentType": "single",
  "tags": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}'
```

{% endtab %}

{% tab title="Response (200 OK)" %}

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "US Customers",
  "description": "US Customers",
  "contactCount": 0,
  "tags": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "isProof": false,
  "consentType": "single", 
  "createdAt": "2024-11-26T15:00:00.000Z",
  "updatedAt": "2024-11-26T15:00:00.000Z"
}
```

{% endtab %}
{% endtabs %}
